Execute
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/salvage \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
"{\n \"senderAddress\": \"BLOCKRADAR_CHILD_ADDRESS\",\n \"recipientAddress\": \"RECIPIENT_ADDERESS\",\n \"tokenAddress\": \"TOKEN_ADDRESS\",\n \"amount\": \"AMOUNT_TO_SEND\",\n \"blockchainId\": \"BLOCKCHAIN_ID\",\n \"rpcUrl\": \"RPC_URL\",\n \"isL2\": true,\n \"crossNetwork\": false\n}"
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/salvage"
payload = "{
\"senderAddress\": \"BLOCKRADAR_CHILD_ADDRESS\",
\"recipientAddress\": \"RECIPIENT_ADDERESS\",
\"tokenAddress\": \"TOKEN_ADDRESS\",
\"amount\": \"AMOUNT_TO_SEND\",
\"blockchainId\": \"BLOCKCHAIN_ID\",
\"rpcUrl\": \"RPC_URL\",
\"isL2\": true,
\"crossNetwork\": false
}"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify('{\n "senderAddress": "BLOCKRADAR_CHILD_ADDRESS",\n "recipientAddress": "RECIPIENT_ADDERESS",\n "tokenAddress": "TOKEN_ADDRESS",\n "amount": "AMOUNT_TO_SEND",\n "blockchainId": "BLOCKCHAIN_ID",\n "rpcUrl": "RPC_URL",\n "isL2": true,\n "crossNetwork": false\n}')
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/salvage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Salvage asset initiated successfully",
"statusCode": 200
}Execute
Initiates the transfer of assets (native coins or tokens) from a specified sender address to a recipient address within the same wallet ecosystem.
Body Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| senderAddress | true | string | The address you’re recovering assets from |
| recipientAddress | true | string | The address the recovering assets will be sent to |
| amount | true | string | The amount to be salvaged. |
| tokenAddress | false | string | Specify this for token salvage |
| blockchainId | true | string | The blockchain id you’re recovering funds from |
| rpcUrl | false | string | Specify this for assets on an unsupported blockchain |
| isL2 | false | boolean | Specify this if RPC url points to a Layer 2 blockchain |
| crossNetwork | false | boolean | Set to true to recover assets sent to the wrong network environment (e.g., mainnet assets on a testnet-derived address). Cannot be used with rpcUrl. Defaults to false. |
POST
/
v1
/
wallets
/
{walletId}
/
salvage
Execute
Authorizations
Path Parameters
Example:
"WALLET_ID"
Body
application/json
Example:
"AMOUNT_TO_SEND"
Example:
"BLOCKCHAIN_ID"
Example:
"RECIPIENT_ADDERESS"
Example:
"BLOCKRADAR_CHILD_ADDRESS"
Example:
"TOKEN_ADDRESS"
Set to true to recover assets sent to the wrong network environment. Cannot be used with rpcUrl.
Example:
false
⌘I

